Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss.operation
Class DoService

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wass.common.AbstractRequest
              org.deegree.ogcwebservices.wass.wss.operation.DoService

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DoService

extends AbstractRequest

The `DoService` class represents (a bean) a DoService Operation which is send by a client (or other server) which is checked by the wss for the right credentials and than send to the requested serviceprovider. In the case that a client not has the right credentials a ServiceException is thrown. The Specification does mention the fact that ther might be another response for example: A client orders A and B but only has the credentials for A -> should we return A and not B or nothing at all. We do the last, the client gets nothing.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`DoService(String id, Map<String,String> keyValues)`
`DoService(String id, String service, String version, AuthenticationData authenticationData, String dcp, ArrayList<RequestParameter> requestParameters, String payload, URI facadeURL)`

Method Summary
`static OGCWebServiceRequest` | `create(String id, Element documentElement)`
`static OGCWebServiceRequest` | `create(String id, Map<String,String> kvp)`
`AuthenticationData` | `getAuthenticationData()`
`String` | `getDcp()`
`URI` | `getFacadeURL()`
`String` | `getPayload()`
`ArrayList<RequestParameter>` | `getRequestParameters()`

Methods inherited from class org.deegree.ogcwebservices.wass.common.AbstractRequest
`getRequest, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoService

    public DoService(String id,
                     String service,
                     String version,
                     AuthenticationData authenticationData,
                     String dcp,
                     ArrayList<RequestParameter> requestParameters,
                     String payload,
                     URI facadeURL)

Parameters:
  `id` - the request id
  `service` -
  `version` -
  `authenticationData` -
  `dcp` -
  `requestParameters` -
  `payload` -
  `facadeURL` -

### DoService

    public DoService(String id,
                     Map<String,String> keyValues)

Parameters:
  `id` - the request id
  `keyValues` -

Method Detail

### getAuthenticationData

    public AuthenticationData getAuthenticationData()

  Returns:
    Returns the authenticationData.

### getDcp

    public String getDcp()

  Returns:
    Returns the dcp.

### getFacadeURL

    public URI getFacadeURL()

  Returns:
    Returns the facadeURL.

### getPayload

    public String getPayload()

  Returns:
    Returns the payload.

### getRequestParameters

    public ArrayList<RequestParameter> getRequestParameters()

  Returns:
    Returns the requestParameters.

### create

    public static OGCWebServiceRequest create(String id,
                                              Element documentElement)
                                       throws OGCWebServiceException

  Parameters:
    `id` -
    `documentElement` -
  Returns:
    a new instance of this class
  Throws:
    `OGCWebServiceException`

### create

    public static OGCWebServiceRequest create(String id,
                                              Map<String,String> kvp)

  Parameters:
    `id` -
    `kvp` -
  Returns:
    a new instance of this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org